# $Revision: 1.21 $, $Date: 2010/06/06 08:36:56 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires X server)
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Gnome2-Print
Summary:	Perl interface to the GNOME Print libraries
Summary(pl.UTF-8):	Interfejs perlowy do bibliotek GNOME Print
Name:		perl-Gnome2-Print
Version:	1.000
Release:	4
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://dl.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	66578c2ffaebbe035a0735e65ad71c3f
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	libgnomeprintui-devel >= 2.2.0
BuildRequires:	perl-ExtUtils-Depends >= 0.1
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
BuildRequires:	perl-Glib >= 1.120
BuildRequires:	perl-Gtk2 >= 1.120
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	libgnomeprintui >= 2.2.0
Requires:	perl-Glib >= 1.120
Requires:	perl-Gtk2 >= 1.120
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Gnome2::Print Perl module allows a Perl developer to use the GNOME
Printing libraries with Gtk2-perl.

%description -l pl.UTF-8
Moduł Perla Gnome2::Print umożliwia programistom perlowym korzystanie
z bibliotek GNOME Print wraz z Gtk2-perl.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Gnome2/Print/{,*/}*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{perl_vendorarch}/Gnome2/Print.pm
%dir %{perl_vendorarch}/Gnome2/Print
%{perl_vendorarch}/Gnome2/Print/Config
%{perl_vendorarch}/Gnome2/Print/Font
%{perl_vendorarch}/Gnome2/Print/Install
%dir %{perl_vendorarch}/auto/Gnome2/Print
%attr(755,root,root) %{perl_vendorarch}/auto/Gnome2/Print/*.so
%{perl_vendorarch}/auto/Gnome2/Print/*.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Gnome2-Print.spec,v $
Revision 1.21  2010/06/06 08:36:56  arekm
- release 4

Revision 1.20  2008/03/02 17:31:13  radek
- release 3

Revision 1.19  2008-02-10 12:11:04  arekm
- rel 2

Revision 1.18  2008-01-10 08:38:38  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.17  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.15  2006/12/10 12:56:37  qboosh
- updated to 1.000

Revision 1.14  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.13  2005/10/08 12:16:35  freetz
- 0.951

Revision 1.12  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.11  2004/11/03 22:30:24  paladine
- formatting

Revision 1.10  2004/11/03 00:38:04  ankry
- fixed %files

Revision 1.9  2004/11/02 11:09:17  ankry
- get rid of .pod documentation, rel. 2

Revision 1.8  2004/08/12 21:16:44  ankry
- s/Gnome/GNOME, other cosmetics

Revision 1.7  2004/07/25 21:56:52  freetz
- 0.94

Revision 1.6  2004/06/07 17:52:10  qboosh
- fixed Name

Revision 1.5  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.4  2004/04/28 17:33:09  freetz
- 0.91, updated BRs, added Rs with required perl-{Glib,Gtk2} versions

Revision 1.3  2004/04/21 08:40:39  ankry
- license fixes/unification

Revision 1.2  2004/01/07 16:19:18  freetz
- 0.61

Revision 1.1  2003/11/28 15:57:41  freetz
- initial

